## org.apache.myfaces.custom.selectOneCountry
Class SelectOneCountryRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlMenuRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlMenuRenderer
                      org.apache.myfaces.custom.selectOneCountry.SelectOneCountryRenderer

public class SelectOneCountryRenderer
extends HtmlMenuRenderer

Version:
  $Revision: 289979 $ $Date: 2005-09-18 17:20:30 -0400 (Sun, 18 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Constructor Summary
`SelectOneCountryRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlMenuRenderer
`isDisabled`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlMenuRendererBase
`decode, getConvertedValue`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectOneCountryRenderer

    public SelectOneCountryRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlMenuRenderer`
  Throws:
    `java.io.IOException`